[arch-commits] Commit in appstream-glib/repos (4 files)

Jan Steffens heftig at archlinux.org
Mon Nov 7 20:54:39 UTC 2016


    Date: Monday, November 7, 2016 @ 20:54:39
  Author: heftig
Revision: 280141

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  appstream-glib/repos/extra-i686/PKGBUILD
    (from rev 280140, appstream-glib/trunk/PKGBUILD)
  appstream-glib/repos/extra-x86_64/PKGBUILD
    (from rev 280140, appstream-glib/trunk/PKGBUILD)
Deleted:
  appstream-glib/repos/extra-i686/PKGBUILD
  appstream-glib/repos/extra-x86_64/PKGBUILD

-----------------------+
 /PKGBUILD             |   98 ++++++++++++++++++++++++++++++++++++++++++++++++
 extra-i686/PKGBUILD   |   37 ------------------
 extra-x86_64/PKGBUILD |   37 ------------------
 3 files changed, 98 insertions(+), 74 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2016-11-07 20:54:10 UTC (rev 280140)
+++ extra-i686/PKGBUILD	2016-11-07 20:54:39 UTC (rev 280141)
@@ -1,37 +0,0 @@
-# $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgname=appstream-glib
-pkgver=0.6.3
-pkgrel=1
-pkgdesc="Provides GObjects and helper methods to make it easy to read and write AppStream metadata"
-arch=('i686' 'x86_64')
-url="http://people.freedesktop.org/~hughsient/appstream-glib/"
-license=('LGPL')
-depends=('gtk3' 'libyaml' 'pacman' 'gcab')
-makedepends=('intltool' 'gobject-introspection')
-provides=('appdata-tools')
-conflicts=('appdata-tools')
-replaces=('appdata-tools')
-source=(https://people.freedesktop.org/~hughsient/appstream-glib/releases/$pkgname-$pkgver.tar.xz)
-sha256sums=('3ec355c950b86cd792b6e396a5a4a72487999e300fcacf7466a663974ec4ad24')
-
-build() {
-  cd $pkgname-$pkgver
-  ./configure --prefix=/usr --enable-alpm
-
-  #https://bugzilla.gnome.org/show_bug.cgi?id=655517
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver
-  make -k check || :
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR="$pkgdir" install
-}

Copied: appstream-glib/repos/extra-i686/PKGBUILD (from rev 280140, appstream-glib/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2016-11-07 20:54:39 UTC (rev 280141)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=appstream-glib
+pkgver=0.6.5
+pkgrel=1
+pkgdesc="Objects and methods for reading and writing AppStream metadata"
+url="https://people.freedesktop.org/~hughsient/appstream-glib/"
+arch=(i686 x86_64)
+license=(LGPL)
+depends=(gtk3 libyaml pacman gcab libsoup libstemmer)
+makedepends=(intltool gobject-introspection gtk-doc autoconf-archive git
+             gperf)
+provides=(appdata-tools)
+conflicts=(appdata-tools)
+replaces=(appdata-tools)
+_commit=df67bd4d9da7dd58fe5628f758bf229417f2c38c  # tags/appstream_glib_0_6_5^0
+source=("git+https://github.com/hughsie/appstream-glib#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^appstream_glib_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr --enable-alpm --enable-stemmer --enable-gtk-doc
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname
+  make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2016-11-07 20:54:10 UTC (rev 280140)
+++ extra-x86_64/PKGBUILD	2016-11-07 20:54:39 UTC (rev 280141)
@@ -1,37 +0,0 @@
-# $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgname=appstream-glib
-pkgver=0.6.3
-pkgrel=1
-pkgdesc="Provides GObjects and helper methods to make it easy to read and write AppStream metadata"
-arch=('i686' 'x86_64')
-url="http://people.freedesktop.org/~hughsient/appstream-glib/"
-license=('LGPL')
-depends=('gtk3' 'libyaml' 'pacman' 'gcab')
-makedepends=('intltool' 'gobject-introspection')
-provides=('appdata-tools')
-conflicts=('appdata-tools')
-replaces=('appdata-tools')
-source=(https://people.freedesktop.org/~hughsient/appstream-glib/releases/$pkgname-$pkgver.tar.xz)
-sha256sums=('3ec355c950b86cd792b6e396a5a4a72487999e300fcacf7466a663974ec4ad24')
-
-build() {
-  cd $pkgname-$pkgver
-  ./configure --prefix=/usr --enable-alpm
-
-  #https://bugzilla.gnome.org/show_bug.cgi?id=655517
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver
-  make -k check || :
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR="$pkgdir" install
-}

Copied: appstream-glib/repos/extra-x86_64/PKGBUILD (from rev 280140, appstream-glib/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2016-11-07 20:54:39 UTC (rev 280141)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=appstream-glib
+pkgver=0.6.5
+pkgrel=1
+pkgdesc="Objects and methods for reading and writing AppStream metadata"
+url="https://people.freedesktop.org/~hughsient/appstream-glib/"
+arch=(i686 x86_64)
+license=(LGPL)
+depends=(gtk3 libyaml pacman gcab libsoup libstemmer)
+makedepends=(intltool gobject-introspection gtk-doc autoconf-archive git
+             gperf)
+provides=(appdata-tools)
+conflicts=(appdata-tools)
+replaces=(appdata-tools)
+_commit=df67bd4d9da7dd58fe5628f758bf229417f2c38c  # tags/appstream_glib_0_6_5^0
+source=("git+https://github.com/hughsie/appstream-glib#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^appstream_glib_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr --enable-alpm --enable-stemmer --enable-gtk-doc
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname
+  make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}



More information about the arch-commits mailing list